// nova-tourism/components/my/index.js
let Parse = getApp().Parse;
const company = getApp().globalData.company
Component({
    /**
     * 组件的属性列表
     */
    properties: {

    },

    /**
     * 组件的初始数据
     */
    data: {
        statusBarHeight: 0,
        screenHeight: 0,
        customHeight: 0,
        bottomNavHeight: 0,
        contentHeight: 0,

        User1List:[],
    },
    lifetimes: {
        detached: function () {},
        attached: async function () {
            const systemInfo = wx.getSystemInfoSync();
            const statusBarHeight = systemInfo.statusBarHeight || 0;
            const screenHeight = systemInfo.screenHeight || 0;
            const custom = wx.getMenuButtonBoundingClientRect();
            const customHeight = custom.height + 10 + 2 || 0;
            const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;

            const contentHeight = (screenHeight - bottomNavHeight - 50 - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
            this.setData({
                statusBarHeight,
                screenHeight,
                customHeight,
                bottomNavHeight,
                contentHeight
            });
            this.getname()
        },
    },

    /**
     * 组件的方法列表
     */
    methods: {
        gourl(e) {
            // const url = e.currentTarget.dataset.url;
            // wx.navigateTo({
            //     url: `${url}`,
            // });
        },
        //获取头像名称
        async getname(){
            const currentUser = Parse.User.current();
            let Userquery = new Parse.Query('_User');
            Userquery.equalTo('company', company);
            Userquery.equalTo('objectId', currentUser.id);
            Userquery.notEqualTo('isDeleted', true)
            let P2 = await Userquery.find();
            let User1List = P2.map(item => item.toJSON());
            this.setData({
                User1List
            })
            console.log(this.data.User1List);
        },
        //我是商户
        merchant() {
            let merchant = wx.getStorageSync('merchant');
            if (merchant) {
                wx.navigateTo({
                    url: '/nova-tourism/pages/my/merchant/merchant-home/index'
                });
            } else {
                wx.navigateTo({
                    url: '/nova-tourism/pages/my/merchant/login/index'
                });
            }
        },
        goorder(e){
            const url = e.currentTarget.dataset.url;
            const active = e.currentTarget.dataset.active;
            wx.navigateTo({
                url: `${url}?active=`+active,
            });
        },
        gorefund(){
            // wx.navigateTo({
            //     url: '../../pages/my/my-order/my-refund/index',
            // });
        }
    }
})
